Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSDistributedTopicMBean

public interface JMSDistributedTopicMBean
extends JMSDistributedDestinationMBean

This MBean represents a JMS distributed topic.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `addMember(JMSDistributedTopicMemberMBean Member)` Add a member to this distributed topic.
`JMSDistributedTopicMemberMBean[]` | `getMembers()` Get all the members for this distributed topic.
`boolean` | `removeMember(JMSDistributedTopicMemberMBean member)` Remove a member from this distributed topic.
`void` | `setMembers(JMSDistributedTopicMemberMBean[] members)` Set all the members for this distributed topic.

Methods inherited from interface weblogic.management.configuration.JMSDistributedDestinationMBean
`getLoadBalancingPolicy, getTemplate, setLoadBalancingPolicy`

Methods inherited from interface weblogic.management.configuration.JMSVirtualDestinationMBean
`getJNDIName, setJNDIName`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMembers

    public JMSDistributedTopicMemberMBean[] getMembers()

  Get all the members for this distributed topic.

  A non-configurable MBean attribute.

### setMembers

    public void setMembers(JMSDistributedTopicMemberMBean[] members)
                    throws javax.management.InvalidAttributeValueException

  Set all the members for this distributed topic.

  Parameters:
    `members` - the JMSDistributedTopicMembers for the distributed topic

### addMember

    public boolean addMember(JMSDistributedTopicMemberMBean Member)
                      throws javax.management.InvalidAttributeValueException,
                             DistributedManagementException

  Add a member to this distributed topic.

  A dynamic MBean attribute
  Legal Value: weblogic.management.configuration.JMSLegalHelper.jmsCheckDistributedDestinationMember(self,value)
  Parameters:
    `member` - the JMSDistributedTopicMember to add to this distributed topic

### removeMember

    public boolean removeMember(JMSDistributedTopicMemberMBean member)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Remove a member from this distributed topic.

  A dynamic MBean attribute
  Parameters:
    `member` - the JMSDistributedTopicMember to remove from the distributed topic
  Throws:
    java.lang.IllegalArgumentException - if the specified member is not a member of this distributed topic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference